#version 330 core

uniform int u_color;

out vec4 FragColor;

vec4 color_from_int(int c) {
    return vec4(
        float((c >> 24) & 0xff) / 255.0,
        float((c >> 16) & 0xff) / 255.0,
        float((c >>  8) & 0xff) / 255.0,
        float((c >>  0) & 0xff) / 255.0
    );
}

void main() {
    FragColor = color_from_int(u_color);
}
